%define apxs            %{_sbindir}/apxs
%define aprconf         %{_bindir}/apr-1-config
%define aplibdir        %(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define aprincludes     %(%{aprconf} --includes 2>/dev/null)

Name:           mod_jk-ap22
Version:        1.2.32
Release:        1
Summary:        Tomcat mod_jk connector for Apache 2.2.x
License:        Apache License
Group:          Development/Java
URL:            http://tomcat.apache.org/
Source0:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz
Source1:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz.asc
Source2:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz.md5
Source3:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz.sha1
Patch0:		tomcat-connectors-%{version}-aix.patch
Patch1:		tomcat-connectors-%{version}-mod_jk_conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  httpd-devel >= 2.2.17, httpd-devel < 2.4
Obsoletes:      mod_jk < %{version}-%{release}
Provides:       mod_jk = %{version}-%{release}
Requires:       httpd >= 2.2.17, httpd < 2.4

%description
Tomcat mod_jk connector for Apache 2.2.x.


%package        -n mod_jk-manual
Summary:        Tomcat mod_jk connector manual
Group:          Development/Java

%description    -n mod_jk-manual
Tomcat mod_jk connector manual.


%package        -n mod_jk-tools
Group:          Development/Java
Summary:        Analysis and report tools for mod_jk
Requires:       perl >= 5.8.8

%description    -n mod_jk-tools
Miscellaneous mod_jk analysis and report tools.


%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch0
%patch1

%{__perl} -pi -e 's|/usr/local/bin\b|%{_bindir}|' tools/reports/*.pl
%{__perl} -pi -e 's|^(APXSCPPFLAGS=.*)$|$1 %{aprincludes}|' \
  native/common/Makefile.in


%build
export CC="cc -qlanglvl=extc89"

cd native

./configure \
  --with-apxs=%{apxs}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{aplibdir}
cp native/apache-2.0/mod_jk.so ${RPM_BUILD_ROOT}%{aplibdir}/mod_jk.so
chmod 0755 ${RPM_BUILD_ROOT}%{aplibdir}/mod_jk.so

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp tools/reports/*.pl ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
cp conf/workers.properties ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/workers.properties
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/workers.properties
cp conf/httpd-jk.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/mod_jk.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/mod_jk.conf

mkdir -p ${RPM_BUILD_ROOT}/var/cache/httpd/mod_jk
touch ${RPM_BUILD_ROOT}/var/cache/httpd/mod_jk/mod_jk.shm


%post
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# mod_jk settings" | \
  grep -v "Include conf/extra/mod_jk.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# mod_jk settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/mod_jk.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%postun
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# mod_jk settings" | \
      grep -v "Include conf/extra/mod_jk.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE NOTICE conf/workers.properties* conf/uriworkermap.properties
%doc native/BUILDING.txt native/CHANGES native/NEWS native/README.txt native/STATUS.txt native/TODO.txt
%attr(0644,root,system) %config(noreplace) %{_sysconfdir}/httpd/conf/workers.properties
%attr(0644,root,system) %config(noreplace) %{_sysconfdir}/httpd/conf/extra/mod_jk.conf
%{aplibdir}/*
%attr(0700,apache,system) %dir /var/cache/httpd/mod_jk
%attr(0600,apache,system) %ghost /var/cache/httpd/mod_jk/mod_jk.shm


%files -n mod_jk-manual
%defattr(-,root,system,-)
%doc docs/*


%files -n mod_jk-tools
%defattr(-,root,system,-)
%doc tools/reports/README.txt
%{_bindir}/*


%changelog
* Thu Sep 15 2011 Michael Perzl <michael@perzl.org> - 1.2.32-1
- updated to version 1.2.32

* Thu Feb 24 2011 Michael Perzl <michael@perzl.org> - 1.2.31-1
- first version for AIX V5.1 and higher
